# eric5.Plugins.VcsPlugins.vcsMercurial.TransplantExtension.ProjectHelper

Module implementing the transplant extension project helper.

### Global Attributes

None

### Classes

TransplantProjectHelper | Class implementing the transplant extension project helper.

### Functions

None

## TransplantProjectHelper

Class implementing the transplant extension project helper.

### Derived from

HgExtensionProjectHelper

### Class Attributes

None

### Class Methods

None

### Methods

TransplantProjectHelper | Constructor
__hgTransplant | Private slot used to transplant changesets from another branch.
__hgTransplantContinue | Private slot used to continue the last transplant session after repair.
initActions | Public method to generate the action objects.
initMenu | Public method to generate the extension menu.
menuTitle | Public method to get the menu title.
setObjects | Public method to set references to the vcs and project objects.

### Static Methods

None

#### TransplantProjectHelper (Constructor)

TransplantProjectHelper()

Constructor

#### TransplantProjectHelper.__hgTransplant

__hgTransplant()

Private slot used to transplant changesets from another branch.

#### TransplantProjectHelper.__hgTransplantContinue

__hgTransplantContinue()

Private slot used to continue the last transplant session after repair.

#### TransplantProjectHelper.initActions

initActions()

Public method to generate the action objects.

#### TransplantProjectHelper.initMenu

initMenu(mainMenu)

Public method to generate the extension menu.

mainMenu
  reference to the main menu (QMenu)

Returns:
  populated menu (QMenu)

#### TransplantProjectHelper.menuTitle

menuTitle()

Public method to get the menu title.

Returns:
  title of the menu (string)

#### TransplantProjectHelper.setObjects

setObjects(vcsObject, projectObject)

Public method to set references to the vcs and project objects.

vcsObject
  reference to the vcs object
projectObject
  reference to the project object

Up